bestsellers

Enables you to scrape Bestseller deals from Amazon page using the ScrapeIN service

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint

Amazon Deals and Bestseller API, specifically the /bestseller endpoint is designed to provide valuable information and insights about Lightning Deals and Daily Deals from an Amazon page. By making a GET request to this API endpoint, users can retrieve the results of their request, which include details about the best-selling products and their associated deals.

This empowers users to stay updated on the latest promotions, make informed purchasing decisions, gain business insights, and potentially save money while shopping on Amazon.

Authentication

API-KEY. Use your API-KEY for authentication.

Output format

html, json, csv

🚧

Required Bestsellers Parameters

You can specify the bestsellers page using either the category_id and amazon_domain parameters or the url parameter. If using the url parameter, it should be URL-encoded.

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. For more details click here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

Query Params
string
Defaults to bestsellers_books

The parameter used to retrieve Bestsellers results from Amazon. These category IDs are obtained from the Navigation API.

string
enum
Defaults to amazon.com

Used to retrieve search results from. Check the Supported Amazon Domains for a complete list of domains supported.

string

The url parameter in the Amazon Deals and Bestsellers API specifies the URL of the Bestsellers page from which you want to retrieve results. The url parameter must be URL-encoded. Please note that if you provide the url parameter, the category_id and amazon_domain parameters will be ignored.

boolean

Used to retrieve the "Top 100 Free" version of a specific category's bestsellers on Amazon, set a value to true. Please note that not all categories have a "Top 100 Free" list.

string

Used to determine the current page of search results to retrieve.

string

Used to get multiple pages of results in one request, the API will paginate through pages automatically and concatenate the results into one response. See the Pagination for more information.

string
enum
Defaults to json

The format of the returned results can be specified using the output parameter. By default, the results are returned in structured JSON format. You can also choose to receive the raw HTML by setting the parameter to html, or the results in CSV format by setting it to csv.

Allowed:
string
enum

Used to determine the location it uses when fetching pages from Amazon. It helps show how a product appears on amazon.com to customers in different countries. It can also identify cross-border shipping information and opportunities. To find the available values for customer_location, refer to the Locations reference. If no customer_location value is provided, the API will automatically make the request from the country corresponding to the Amazon page requested. For example, if the page is from amazon.de, the default customer_location will be "Germany."

string
enum

Used to determine the language in which the API requests the Amazon page to be displayed. This allows you to choose the preferred language for viewing the page. You can refer to the supported Languages list provided by Amazon to see the supported languages.

string
enum

Used to determine the currency in which the API requests the Amazon page to display prices and monetary values. By specifying the currency, you can view the prices on the page in your preferred currency. You can refer to the supported Currencies list for each Amazon domain to see the currency values that are supported.

string

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

string
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json